dcsimg
Linux Today: Linux News On Internet Time.





Gentoo Linux Advisory: syslinux

Feb 18, 2003, 00:42 (0 Talkback[s])

- - ---------------------------------------------------------------------
GENTOO LINUX SECURITY ANNOUNCEMENT 200302-06
- - ---------------------------------------------------------------------

PACKAGE : syslinux
SUMMARY : security issues in installer
DATE    : 2003-02-17 14:40 UTC
EXPLOIT : local

- - ---------------------------------------------------------------------

- From syslinux changelog:

"Security flaws have been found in the SYSLINUX installer when running 
setuid root. Rewrite the SYSLINUX installer so it uses mtools instead. 
It therefore now requires mtools (specifically mcopy and mattrib) to 
exist on your system, but it will not require root privileges and 
SHOULD NOT be setuid."

SOLUTION

It is recommended that all Gentoo Linux users who are running
sys-apps/syslinux upgrade to syslinux-2.02 as follows:

emerge sync
emerge -u syslinux
emerge clean

- - ---------------------------------------------------------------------
aliz@gentoo.org - GnuPG key is available at http://cvs.gentoo.org/~aliz
- - ---------------------------------------------------------------------